Bug 1258983 - SELinux is preventing iptables from 'append' accesses on the file /etc/hosts.deny.
SELinux is preventing iptables from 'append' accesses on the file /etc/hosts....
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: denyhosts (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
abrt_hash:908d6237a68a185d24fc89b4c05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 12:31 EDT by Nicolas Mailhot
Modified: 2017-08-08 08:11 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2015-09-01 12:31:26 EDT
Description of problem:
After denyhosts installation and startup
SELinux is preventing iptables from 'append' accesses on the file /etc/hosts.deny.

*****  Plugin catchall (100. confidence) suggests   **************************

If vous pensez que iptables devrait être autorisé à accéder append sur hosts.deny file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep iptables /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:iptables_t:s0
Target Context                system_u:object_r:net_conf_t:s0
Target Objects                /etc/hosts.deny [ file ]
Source                        iptables
Source Path                   iptables
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           setup-2.9.8-2.fc23.noarch
Policy RPM                    selinux-policy-3.13.1-145.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.0-0.rc8.git3.1.fc24.x86_64 #1
                              SMP Fri Aug 28 15:28:38 UTC 2015 x86_64 x86_64
Alert Count                   17
First Seen                    2015-09-01 18:28:17 CEST
Last Seen                     2015-09-01 18:28:17 CEST
Local ID                      2df2d36f-46e2-4720-a4f4-a7dbcccdbe27

Raw Audit Messages
type=AVC msg=audit(1441124897.375:266503): avc:  denied  { append } for  pid=31151 comm="iptables" path="/etc/hosts.deny" dev="dm-0" ino=67150005 scontext=system_u:system_r:iptables_t:s0 tcontext=system_u:object_r:net_conf_t:s0 tclass=file permissive=0


Hash: iptables,iptables_t,net_conf_t,file,append

Version-Release number of selected component:
selinux-policy-3.13.1-145.fc24.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-0.rc8.git3.1.fc24.x86_64
type:           libreport
Comment 1 Nicolas Mailhot 2015-09-02 03:07:11 EDT
Description of problem:
on boot, after relabel

Version-Release number of selected component:
selinux-policy-3.13.1-145.fc24.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-1.fc24.x86_64
type:           libreport
Comment 2 Daniel Walsh 2015-09-11 15:20:03 EDT
Looks like a leaked file descriptor

Do you have some script that is updating denyhosts and later running iptabels?
Comment 3 Nicolas Mailhot 2015-09-12 15:52:13 EDT
No script, the system is not finished installing yet, it's all systemd/networkmanager/dbus calling each other
Comment 4 Daniel Walsh 2015-09-15 09:19:22 EDT
Might want to just dontaudit it.
Comment 5 Jason Tibbitts 2015-09-15 16:23:35 EDT
Is there anything here that I can fix in denyhosts?  If possible I'd like to fix this the "right way" but I'm not entirely sure what is happening or exactly how I would prevent leaked file descriptors.

Denyhosts itself will call into iptables (and hopefully soon ipset) so if it's leaking FDs when it calls them then that needs to be fixed regardless.

Of course I still have no idea at all why iptables would itself try to modify /etc/hosts.deny.
Comment 6 Miroslav Grepl 2015-11-09 05:46:40 EST
I don't see it as an issue directly in the denyhosts code. Are we able to reproduce it?
Comment 7 Nicolas Mailhot 2015-11-09 07:15:34 EST
Well, right now I need to find the time to de-rack the system to rescue it, it seems to have lost its network access after the last update round
Comment 8 Jan Kurik 2016-02-24 08:42:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 9 Fedora End Of Life 2017-07-25 15:13:35 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 08:11:39 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.